<h2 class="text-center" mat-dialog-title>Affichage de l'inventaire</h2>

<mat-dialog-content class="container">
  <div class="row">
    <!--row-->
    <div class="col-12">
      <div class="mat-elevation-z2">
        <table d-inline-block pre-scrollable mat-table [dataSource]="dataSource" matSort>
          <!-- Nom Column -->
          <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Nom</th>
            <td mat-cell *matCellDef="let product" class="text-left">{{product.product.name}}</td>
          </ng-container>

          <!-- Quantité Column -->
          <ng-container matColumnDef="quantity">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Quantité </th>
            <td mat-cell *matCellDef="let product" class="text-left">{{product.quantity}}</td>
          </ng-container>

          <!-- Alerte Column -->
          <ng-container matColumnDef="outOfStock">
            <th mat-header-cell *matHeaderCellDef mat-sort-header class="tbl-cell-5">Alerte</th>
            <td mat-cell *matCellDef="let product" class="tbl-cell-5 text-left pl-2">
              <div *ngIf='product.quantity == 0; else elseBlock'>
                <i class="fa fa-warning text-danger"></i>
              </div>
              <ng-template #elseBlock>
                <i class="fa fa-check text-success"></i>
              </ng-template>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let product; columns: displayedColumns;">
          </tr>
        </table>

        <mat-paginator [hidePageSize]="true" [pageSizeOptions]="[5]" showFirstLastButtons></mat-paginator>
      </div>
    </div>
  </div>
</mat-dialog-content>

<mat-dialog-actions align="center" class="mt-3">
  <button class="btn btn-secondary" mat-dialog-close>Fermer</button>
</mat-dialog-actions>